%define rel 2
%define subrel 1

%define hal_version 0.2.97
Summary: The GNOME Volume Manager
Name: gnome-volume-manager
Version: 1.2.2
Release: %mkrel %{rel}
License: GPL
URL: http://www.gnome.org/
Group: Graphical desktop/GNOME
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
# (fc) 1.0.3-1mdk use dynamic script to start apps
Patch0: gnome-volume-manager-1.2.1-dynamic.patch.bz2
# (fc) 1.0.3-3mdk respect storage.automount_enabled_hint and storage.policy.should_mount HAL properties 
Patch1: gnome-volume-manager-1.2.1-hint.patch.bz2
# (fc) 1.2.2-2mdk fix autorun message (Mdk bug #18731)
Patch2: gnome-volume-manager-1.2.2-autorun.patch.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libgnomeui2-devel
BuildRequires: libglade2.0-devel
BuildRequires: hal-devel >= %hal_version
BuildRequires: intltool
BuildRequires: autoconf2.5
Requires: dynamic >= 0.23
Obsoletes: magicdev
Provides: magicdev

%description
The GNOME Volume Manager monitors volume-related events and responds with
user-specified policy.  The GNOME Volume Manager can automount hot-plugged
drives, automount inserted removable media, autorun programs, automatically
play audio CDs and video DVDs, and automatically import photos from a digital
camera.  The GNOME Volume Manager does this entirely in user-space and without
polling.

The GNOME Volume Manager sits at the top end of a larger picture that aims to
integrate the Linux system from the kernel on up through the desktop and its
applications.

%prep
%setup -q
%patch0 -p1 -b .dynamic
%patch1 -p1 -b .hint
%patch2 -p1 -b .autorun

%build
%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std
%find_lang %name
install -d -m 755 $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): \
	command="%{_bindir}/gnome-volume-properties"\
	needs="x11"\
	section="System/Configuration/Hardware"\
	icon="hardware_section.png"\
	title="Removable Storage"\
	longtitle="Configure Management of Removable Devices"
EOF

cat << EOF > $RPM_BUILD_ROOT%{_bindir}/magicdev
#!/bin/sh
#
# This is a compatibility wrapper script to start gnome-volume-manager
# for users who previously used magicdev.  This script will be invoked
# automatically by the session manager until the user saves his/her
# session.
exec gnome-volume-manager $*
EOF
chmod +x $RPM_BUILD_ROOT%{_bindir}/magicdev

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="gnome-volume-manager.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S >/dev/null
done

%preun
if [ "$1" = "0" ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  SCHEMAS="gnome-volume-manager.schemas"
  for S in $SCHEMAS; do
    gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/$S >/dev/null
  done
fi

%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog INSTALL README TODO
%{_bindir}/*
%{_datadir}/gnome-volume-manager
%{_datadir}/applications/*
%{_sysconfdir}/gconf/schemas/*.schemas
%_menudir/%name

%changelog
* Tue Sep 20 2005 Frederic Crozat <fcrozat@mandriva.com> 1.2.2-2mdk 
- Patch2: fix autorun message (Mdk bug #18731)

* Wed May 11 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.2-1mdk
- New release 1.2.2

* Mon Apr 25 2005 Frederic Crozat <fcrozat@mandriva.com> 1.2.1-1mdk 
- Release 1.2.1 (based on Gtz Waschk package)
- Regenerate patches 0 & 1 (partially merged)

* Mon Apr 04 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-6mdk 
- Fix parameter when calling digicam script (Mdk bug #15046)

* Fri Apr 01 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-5mdk 
- Update patch1 to respect storage.automount_enabled_hint and storage.policy.should_mount HAL properties (Mdk bug #15088)

* Thu Feb 17 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-4mdk 
- Change menu location
- Obsoletes magicdev

* Tue Feb 15 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-3mdk 
- Patch1 (CVS): correctly handled removables devices (usb key...)
- Remove unneeded dependencies

* Fri Feb 11 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-2mdk 
- Patch0 : use dynamic scripts to start apps

* Tue Feb  1 2005 Goetz Waschk <waschk@linux-mandrake.com> 1.0.3-1mdk
- New release 1.0.3

* Sun Oct 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0.2-3mdk
- fix gconf script

* Mon Sep 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0.2-2mdk
- add menu entry for gnome-volume-properties

* Mon Sep 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0.2-1mdk
- bump hal dep
- New release 1.0.2

* Fri Sep 10 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.0.1-1mdk
- New release 1.0.1

* Tue Aug 31 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.9.10-1mdk
- New release 0.9.10

* Mon Aug 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.9-1mdk
- New release 0.9.9

* Tue Apr 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.2-1mdk
- New release 0.9.2
- Uninstall schema when uninstall package

* Fri Apr  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.1-1mdk
- new version

* Thu Apr  8 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.2-1mdk
- new version

* Fri Jan 30 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-3mdk
- Fix buildrequires :)
- Fix url

* Wed Jan 28 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7-2mdk
- fix buildrequires
- fix build

* Mon Jan 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-1mdk
- Initial Mdk package (based on Robert Love package)

